
TYPO3.Flow - Task # 1268

Status: Resolved Priority: Should have
Author: Karsten Dambekalns Category: MVC
Created: 2008-08-12 Assigned To: Karsten Dambekalns
Updated: 2010-10-20 Due date:
Sprint:
PHP Version:
Has patch:
Complexity:
Subject: CLI options must be written as "real" options, being prefixed with a (double) dash
Description

Currently anything following the first three arguments to a CLI request is considered as options. This should be changed so that only
short- or long-style options are considered, anything else should be "input", as with traditional CLI tools.

Alternatively this could be anything after a double-dash, to make variable numbers of package/controller/action arguments possible
(see #1267).

Related issues:
related to TYPO3.Flow - Feature # 1267: Make CLI requests to controllers in s... Resolved 2008-09-23

Associated revisions
Revision ac279f27 - 2008-09-24 15:10 - Karsten Dambekalns
FLOW3:
    -  reworked parsing of CLI arguments, fixes #1267, fixes #1268
    -  added documentation for using FLOW3 from the command line

History
#1 - 2008-09-23 16:39 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns
- Start date set to 2008-09-23

#2 - 2008-09-24 15:15 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r1280.
